Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.opensymphony.xwork2.inject.util
Enum ReferenceMap.PutStrategy

    java.lang.Object
      java.lang.Enum<ReferenceMap.PutStrategy>
          com.opensymphony.xwork2.inject.util.ReferenceMap.PutStrategy

All Implemented Interfaces:
  ReferenceMap.Strategy, Serializable, Comparable<ReferenceMap.PutStrategy>

Enclosing class:
  ReferenceMap<K,V>

    private static enum ReferenceMap.PutStrategy

extends Enum<ReferenceMap.PutStrategy>
implements ReferenceMap.Strategy

Enum Constant Summary
`PUT`
`PUT_IF_ABSENT`
`REPLACE`

Method Summary
`static ReferenceMap.PutStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReferenceMap.PutStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.inject.util.ReferenceMap.Strategy
`execute`

Enum Constant Detail

### PUT

    public static final ReferenceMap.PutStrategy PUT

### REPLACE

    public static final ReferenceMap.PutStrategy REPLACE

### PUT_IF_ABSENT

    public static final ReferenceMap.PutStrategy PUT_IF_ABSENT

Method Detail

### values

    public static final ReferenceMap.PutStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ReferenceMap.PutStrategy c : ReferenceMap.PutStrategy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ReferenceMap.PutStrategy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.